<app-game-list-filter (filter)="onFilter($event)"></app-game-list-filter>
<br><br>
<div style="overflow: hidden; margin-right: 10px"> 
    <div class="button10px" style="background-color: chartreuse;">
        <button (click)="onExtend()" style="font-size: large; background-color: transparent;">+10px</button>
    </div>
    <div class="button10px" style="background-color: red;">
        <button (click)="onShrink()" style="font-size: large; background-color: transparent;">-10px</button>
    </div> 
    <div class="button10px" style="background-color: blue;">
        <button (click)="onResetSize()" style="font-size: large; background-color: transparent;">100%</button>
    </div> 
    <p style="margin-left:20px">Nombre de vues : {{visits}}</p>
</div> 

<section style="display: inline-flex;" *ngIf="isLoading; else loading">
    <div class="cards" *ngFor="let game of games; index as i" [ngStyle]="{'width': width + 'px'}">  
      <div class="cardshover">  
        <p class="note">{{game.note}}/5</p>             
        <p class="gameName">{{game.name}}</p>        
        <p class="gameType">{{game.type}}</p>
        <img class="gameImg" src="{{game.url}}"/> 
        <p class="description">{{game.description}}</p>
        
        <div style="margin: 20px;">
          <app-game-action (click)="onActionClick($event, game)"></app-game-action>
        </div>
    </div>
  </div>
</section>
<ng-template #loading>
  <mat-progress-spinner class="spinner" mode="indeterminate"></mat-progress-spinner>
</ng-template>